Trigger Historical Sync
curl --request POST \
--url https://api.example.com/back-office/sync/historical \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"allInvoices": false,
"useWorker": false,
"invoiceIds": [
"<string>"
],
"customerIds": [
"<string>"
],
"jobType": "sync_invoice",
"slackUsername": "<string>"
}
'import requests
url = "https://api.example.com/back-office/sync/historical"
payload = {
"connectionId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"allInvoices": False,
"useWorker": False,
"invoiceIds": ["<string>"],
"customerIds": ["<string>"],
"jobType": "sync_invoice",
"slackUsername": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '<string>',
startDate: '<string>',
endDate: '<string>',
allInvoices: false,
useWorker: false,
invoiceIds: ['<string>'],
customerIds: ['<string>'],
jobType: 'sync_invoice',
slackUsername: '<string>'
})
};
fetch('https://api.example.com/back-office/sync/historical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": "<string>",
"connectionId": "<string>",
"syncOptions": {
"allInvoices": true,
"useWorker": true,
"startDate": "<string>",
"endDate": "<string>",
"invoiceIds": [
"<string>"
],
"customerIds": [
"<string>"
],
"slackUsername": "<string>"
}
},
"message": "<string>"
}{
"code": "bad_request",
"message": "<string>",
"data": "<unknown>"
}{
"code": "not_found",
"message": "<string>",
"data": "<unknown>"
}{
"code": "validation_error",
"message": "<string>",
"data": [
"<unknown>"
]
}{
"code": "internal_server_error",
"message": "<string>",
"data": "<unknown>"
}Sync
Trigger Historical Sync
POST
/
back-office
/
sync
/
historical
Trigger Historical Sync
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Historical sync parameters
The unique identifier of the connection to sync
Minimum string length:
1Start date in YYYY-MM-DD format
Pattern:
^\d{4}-\d{2}-\d{2}$End date in YYYY-MM-DD format
Pattern:
^\d{4}-\d{2}-\d{2}$Whether to fetch all invoices or only OPEN ones
Whether to enqueue to SQS for distributed processing
Optional array that will not work with date range to fetch a specific list of invoices
Optional array of customer IDs to sync (for rutter integrations use emails)
Type of sync job to run
Available options:
sync_customer, sync_invoice Optional Slack username to notify when sync completes (without @)
Response
Historical sync triggered successfully
Show child attributes
Show child attributes
Available options:
health_status_ok, health_status_error, validation_error, bad_request, unauthorized, forbidden, not_found, method_not_allowed, internal_server_error, organization_not_found, cannot_access_organization, api_key_not_found, resource_already_exists ⌘I